GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List articles GETWrite article POSTGet article GETRefresh page POST
Articles

Write article POST

Write a new page in the background.

Refresh page POST

Refresh an existing page in the background.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Articles

Get article

GET
/brands/{brandId}/documents/{documentId}

One document with its steps.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Path Parameters

brandId*string
Formatuuid
documentId*string
Formatuuid

Response Body

The document

application/json
  1. response
  1. response
  2. …
id*string
Formatuuid
kind*string
Value in"create""refresh"
status*string
Value in"planned""skipped""generating""needs_review""approved""published""failed"
contentType*string
Value in"article""blog_post""listicle""how_to""comparison""alternatives""faq_hub""case_study"
length*string
Value in"short""medium""long"
refreshLevel*|
Value in"conservative""balanced""full"null
title*string|null
topic*string
promptId*|
Formatuuid
sourceUrl*string|null
publishedUrl*string|null
error*string|null
createdAt*string
updatedAt*string
slug*string|null
metaTitle*string|null
metaDescription*string|null
markdown*string|null
originalMarkdown*string|null
brief*|null
schemaJson*|null
findings*array<>
settings*
costUsd*string|null
steps*array<>
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "kind": "create",  "status": "planned",  "contentType": "article",  "length": "short",  "refreshLevel": "conservative",  "title": "string",  "topic": "string",  "promptId": "b5415d63-4390-40ec-8c2b-33a2db2f5c67",  "sourceUrl": "string",  "publishedUrl": "string",  "error": "string",  "createdAt": "string",  "updatedAt": "string",  "slug": "string",  "metaTitle": "string",  "metaDescription": "string",  "markdown": "string",  "originalMarkdown": "string",  "brief": {    "property1": null,    "property2": null  },  "schemaJson": {    "property1": null,    "property2": null  },  "findings": [    {      "kind": "string",      "text": "string",      "hint": "string"    }  ],  "settings": {    "keyPoints": [      "string"    ],    "blockedWords": [      "string"    ],    "references": [      "string"    ]  },  "costUsd": "string",  "steps": [    {      "position": 0,      "step": "string",      "label": "string",      "status": "running",      "detail": "string",      "startedAt": "string",      "finishedAt": "string"    }  ]}

Write article POST

Write a new page in the background.

Refresh page POST

Refresh an existing page in the background.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "kind": "create",
  "status": "planned",
  "contentType": "article",
  "length": "short",
  "refreshLevel": "conservative",
  "title": "string",
  "topic": "string",
  "promptId": "b5415d63-4390-40ec-8c2b-33a2db2f5c67",
  "sourceUrl": "string",
  "publishedUrl": "string",
  "error": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "slug": "string",
  "metaTitle": "string",
  "metaDescription": "string",
  "markdown": "string",
  "originalMarkdown": "string",
  "brief": {
    "property1": null,
    "property2": null
  },
  "schemaJson": {
    "property1": null,
    "property2": null
  },
  "findings": [
    {
      "kind": "string",
      "text": "string",
      "hint": "string"
    }
  ],
  "settings": {
    "keyPoints": [
      "string"
    ],
    "blockedWords": [
      "string"
    ],
    "references": [
      "string"
    ]
  },
  "costUsd": "string",
  "steps": [
    {
      "position": 0,
      "step": "string",
      "label": "string",
      "status": "running",
      "detail": "string",
      "startedAt": "string",
      "finishedAt": "string"
    }
  ]
}